=== src/Makefile ===
# C flags for people who installed libpng in /usr/local...

CFLAGS=-Wall -O2 -I/usr/local/include
LDFLAGS=-lpng -lm -L/usr/local/lib

all: percentblack percentcolour percent_cmy
	strip percentblack
	strip percentcolour
	strip percent_cmy

percentblack:	percentblack.c

percentcolour:	percentcolour.c

percent_cmy:	percent_cmy.c

clean:	
	@rm percentblack percentcolour percent_cmy &> /dev/null || true
