=== debian/changelog ===
printbill (4.1.2-1) unstable; urgency=low

  * New upstream release. Now we have debconf support for the financelog
    option...

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 13 Jan 2003 19:48:55 +1100

printbill (4.1.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 11 Jan 2003 21:28:13 +1100

printbill (4.1.0-2) unstable; urgency=low

  * Now printbill properly registers its init script. Completely lintian
    clean now, although some of the hackery required to fool lintian into
    passing the perl postinst script is rather evil.

 -- Daniel Franklin <d.franklin@ieee.org>  Tue,  7 Jan 2003 10:21:29 +1100

printbill (4.1.0-1) unstable; urgency=low

  * New upstream release, with much improved debconf support

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 30 Dec 2002 16:21:04 +1100

printbill (4.0.7-1) unstable; urgency=low

  * New upstream release
  * Minor web interfaces fubars fixed

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 14 Oct 2002 13:07:55 +1000

printbill (4.0.6-2) unstable; urgency=low

  * Priority dropped to extra
  * Typo fixed in example web footer (copyright symbol)

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 22 Sep 2002 10:49:38 +1000

printbill (4.0.6-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 18 Aug 2002 11:58:21 +1000

printbill (4.0.5-4) unstable; urgency=low

  * Should have mentioned the bug fix in 4.0.5-3 (closes: #155762)
  * Billing should actually be possible now (UID/GID snafu in -3 ;-)

 -- Daniel Franklin <d.franklin@ieee.org>  Tue, 13 Aug 2002 18:42:19 +1000

printbill (4.0.5-3) unstable; urgency=low

  * Spelling mistake in package description fixed

 -- Daniel Franklin <d.franklin@ieee.org>  Wed,  7 Aug 2002 22:17:31 +1000

printbill (4.0.5-2) unstable; urgency=low

  * Minor bugfix release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun,  4 Aug 2002 11:18:37 +1000

printbill (4.0.5-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 21 Jul 2002 17:13:29 +1000

printbill (4.0.4-1) unstable; urgency=low

  * Bug-fix upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  5 Jul 2002 12:11:48 +1000

printbill (4.0.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Mon,  1 Jul 2002 12:32:20 +1000

printbill (4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Fri, 21 Jun 2002 13:51:44 +1000

printbill (4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 23 Mar 2002 18:16:10 +1100

printbill (4.0.0-2) unstable; urgency=low

  * Minor bug-fixes to printbill_configure, webpqcheck.pl and the HedHat
    .spec file.

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  8 Mar 2002 10:19:15 +1100

printbill (4.0.0-1) unstable; urgency=high

  * Major update. Now we have an init script :)

 -- Daniel Franklin <d.franklin@ieee.org>  Thu, 28 Feb 2002 22:21:51 +1100

printbill (3.2.0-1) unstable; urgency=low

  * Version bumpted to 3.2.0.

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 17 Feb 2002 14:23:53 +1100

printbill (3.1.3-1) unstable; urgency=low

  * Version bumped to 3.1.3... varous fixes incorporated.

 -- Daniel Franklin <d.franklin@ieee.org>  Thu,  7 Feb 2002 18:07:29 +1100

printbill (3.1.2-3) unstable; urgency=low

  * Fixes to pqm --init, for the case where no web interface is being used
  * Fixes to pqm --used <printer>, for the case where default printer
    parameters are being used (a perl fubar - never test defined %hash :)

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  1 Feb 2002 09:36:32 +1100

printbill (3.1.2-2) unstable; urgency=low

  * More fixes to web interface. FUBAR with Debian package built with RedHat
    defaults also fixed.

 -- Daniel Franklin <d.franklin@ieee.org>  Thu, 31 Jan 2002 11:49:37 +1100

printbill (3.1.2-1) unstable; urgency=low

  * Added configuration utility "printbill_configure"
  * Moved perl modules to $(PMOD_HOME)/Printbill
  * Various RedHat compatibility fixes - mainly adding a $params{'nice'}.
  * Makefile improvements, perl 5.6.0 bug work-arounds

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 18 Jan 2002 13:08:08 +1100

printbill (3.1.1-1) unstable; urgency=high

  * changes to pqm --display --web to present all relevant info - speeds up
    webpqadmin by a huge factor
  * fixes to cleanup subroutine... was not unlocking properly

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 31 Dec 2001 18:09:08 +1100

printbill (3.1-2) unstable; urgency=low

  * printbill now depends on gsfonts
  * build-depend added for libpng2-dev (duh)

 -- Daniel Franklin <d.franklin@ieee.org>  Tue, 27 Nov 2001 19:19:30 +1100

printbill (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 24 Oct 2001 19:58:57 +1000

Local variables:
mode: debian-changelog
End:
