=== debian/control ===
Source: printbill
Section: text
Priority: extra
Maintainer: Daniel Franklin <d.franklin@ieee.org>
Build-Depends: debhelper, libpng2-dev | libpng3-dev | libpng12-dev
Standards-Version: 3.5.2

Package: printbill
Architecture: any
Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, ${shlibs:Depends}
Recommends: apache
Suggests: samba, gnuplot
Description: Sophisticated print billing / accounting system for lprng
 Printbill calculates the amount of ink/toner and the number of pages used
 when printing a document. It uses ghostscript to convert postscript files
 into PNG bitmaps, then calls percentblack or percentcolour to determine the
 percentage coverage. Prices may be independently determined for for each
 printer, with set rates for black and colour ink/toner and per-page. Bill
 calculation is quite CPU intensive so printbill allows multiple concurrent
 billing processes to be executed - jobs may not be printed in the order in
 which they are sent to the queue. On SMP systems printbill will happily
 make use of all processors if so instructed. Printbill can bill before
 or after printing, or can be configured to only perform accounting. It is
 possible to bill based only on pagecount, but although it is much faster,
 it is easy to fool and is not recommended.
 .
 Users pre-pay a quota and this is automatically decremented as they print -
 alternatively one may just do per-user and per-printer accounting with no
 billing. Various mechanisms exist for generating a quote. Printbill also
 keeps detailed statistics on printing habits which may be of interest to
 administrators. The system may be managed via either a command-line
 application or via a convenient web interface (for non-tech people).
