## printbill 4.1.2-1.1

=== debian/changelog ===
printbill (4.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition (Closes: #328333)

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 18:56:53 +0200
