=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: extra
 Maintainer: Daniel Franklin <d.franklin@ieee.org>
-Build-Depends: debhelper, libpng2-dev | libpng3-dev | libpng12-dev
+Build-Depends: debhelper, libpng12-dev
 Standards-Version: 3.5.2
 
 Package: printbill
 Architecture: any
-Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, ${shlibs:Depends}
+Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, adduser, ${shlibs:Depends}
 Recommends: apache
 Suggests: samba, gnuplot
 Description: Sophisticated print billing / accounting system for lprng
